Package org.kapott.hbci.GV_Result

# Class GVRSaldoReq

java.lang.Object
org.kapott.hbci.GV_Result.HBCIJobResultImpl
org.kapott.hbci.GV_Result.GVRSaldoReq

All Implemented Interfaces:
  `Serializable`, `HBCIJobResult`

public final class GVRSaldoReq extends HBCIJobResultImpl
Ergebnisse einer Saldenabfrage. Hier ist für jedes abgefragte Konto genau ein entsprechendes Saldo-Objekt eingetragen.

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`GVRSaldoReq.Info`
Saldo-Informationen für ein Konto

## Field Summary

### Fields inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`globStatus, jobStatus`

## Constructor Summary

Constructors
Constructor
Description
`GVRSaldoReq()`

## Method Summary

Modifier and Type
Method
Description
`GVRSaldoReq.Info[]`
`getEntries()`
Gibt alle verfügbaren Saldo-Informationen in einem Feld zurück.
`void`
`store(GVRSaldoReq.Info info)`
`String`
`toString()`

### Methods inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`getDialogId, getGlobStatus, getJobId, getJobStatus, getMsgNum, getParentJob, getPassport, getResultData, getRetNumber, getRetVal, getSegNum, isOK, setParentJob, storeResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GVRSaldoReq

public GVRSaldoReq()

## Method Details

### store

public void store(GVRSaldoReq.Info info)

### getEntries

public GVRSaldoReq.Info[] getEntries()
Gibt alle verfügbaren Saldo-Informationen in einem Feld zurück. Dabei existiert für jedes abgefragte Konto ein Eintrag in diesem Feld.

Returns:
  Array mit Saldeninformationen

### toString

public String toString()

Overrides:
  `toString` in class `HBCIJobResultImpl`